<?php
/**
 * CSV Exporter for Hitcount
 */
include('../../../gsconfig.php');
$admin = defined('GSADMIN') ? GSADMIN : 'admin';
include("../../../${admin}/inc/common.php");
$loggedin = cookie_check();
if (!$loggedin) die("Not logged in!");

require_once('../reader.class.php');
require_once('../exporter.class.php');
define('HITCOUNT_INDEX_DIR','hitcount_index/');
i18n_merge('hitcount','en');

# get parameters from request
$details = isset($_REQUEST['details']);
if (isset($_REQUEST['tab']) && $_REQUEST['tab'] != 'slug') {
  $tab = $_REQUEST['tab'];
  $hasDetails = in_array($tab,array('browser','lang','os'));
  $name = $tab.($details && $hasDetails ? '_d' : '');
  $names = array($name => null);
} else {
  $names = array('total' => null, 'slug' => null);
}
$from = @$_REQUEST['from'];
$to = @$_REQUEST['to'];
# read data
$reader = new HitcountReader($from, $to);
$reader->read($names);
$reader->sort();
$dates = $reader->getDates();
$hits = $reader->getHits();
$visits = $reader->getVisits();
HitcountExporter::exportCSV($dates,$hits,$visits);
die;

  